Subject: bug#55158: closed (Re: bug#55158: bug: mu/mu4e on Guix does not use correct encoding/utf-8)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Jun 2022 21:33:01 +0000

Your bug report

#55158: bug: mu/mu4e on Guix does not use correct encoding/utf-8

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55158: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55158
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55158: bug: mu/mu4e on Guix does not use correct encoding/utf-8
From: Maxim Cournoyer <[email-masked]>
To: Benjamin Slade <[email-masked]>
Cc: [email-masked], Maxime Devos <[email-masked]>
Date: Wed, 08 Jun 2022 17:32:13 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Benjamin Slade <[email-masked]> writes:

> Update: So the encoding issue seems to be at a "lower level" than mu
> in fact. I noticed that new messages come through with the correct
> encoding now, so I assume it was an (odd) issue of locale settings
> when I initialised the mail initially/copied over old messages.
>
> (Unfortunately there does not seem to be a great way to mass re-encode messages. I can use `iconv' to convert, but it fails on messages with attachments, I think.)

OK.  I'm glad you could figure it out at least to some degrees :-).

I'll close the report but if it becomes a problem again feel free to
reopen it, with a reproducer ideally.

Thanks,

Maxim

Subject: bug: mu/mu4e on Guix does not use correct encoding/utf-8
From: Benjamin Slade <[email-masked]>
To: [email-masked]
Date: Wed, 27 Apr 2022 18:22:34 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

The output of mu [ <https://guix.gnu.org/en/packages/mu-1.6.10/> ] (and thus, by extension, mu4e in Emacs) does not correctly handle characters outside of a certain range (which confuses Emacs to no end). This behaviour occurs both in mu4e and when using mu on the commandline.

For instance, subject lines including the 🎉 emoji ("celebration") do not show the emoji, but rather a backslashed \360. Similar issues occur with, for instance, devanagari characters (Hindi etc.).

When using mu/mu4e on non-Guix systems, this issue does not occur. (I.e. both in mu4e and in mu on the commandline these characters are correctly displayed.)

Since mu depends on xapian, it's possible the issue could also be with Guix's xapian package.